parameters:
    # Adds a fallback DATABASE_URL if the env var is not set.
    # This allows you to run cache:warmup even if your
    # environment variables are not available yet.
    # You should not need to change this value.
    env(DATABASE_URL): ''

doctrine:
    dbal:
        default_connection: default
        connections:
          default:
            driver: pdo_mysql
            port: 3306
            server_version: "5.7"
            charset: utf8
            url: '%env(resolve:DATABASE_URL_SHIPEU)%'
          connection_url_forwarding:
            driver: pdo_mysql
            port: 3306
            server_version: "5.7"
            charset: utf8
            url: '%env(resolve:DATABASE_URL_FORWARDING)%'
          connection_url_mailboxeswp:
            driver: pdo_mysql
            port: 3306
            server_version: "5.7"
            charset: utf8
            url: '%env(resolve:DATABASE_URL_MAILBOXESWP)%'
          connection_url_boxblog:
            driver: pdo_mysql
            port: 3306
            server_version: "5.7"
            charset: utf8
            url: '%env(resolve:DATABASE_URL_BOXBLOG)%'
##         configure these for your database server
#        driver: 'pdo_mysql'
#        server_version: '5.7'
#        charset: utf8mb4
#
#        # With Symfony 3.3, remove the `resolve:` prefix
#        url: '%env(resolve:DATABASE_URL)%'

    orm:
#        dql:
#            datetime_functions:
#                date_format: DoctrineExtensions\Query\Mysql\DateFormat
        auto_generate_proxy_classes: '%kernel.debug%'
#        naming_strategy: doctrine.orm.naming_strategy.underscore
#        auto_mapping: true
#        mappings:
#            App:
#                is_bundle: false
#                type: annotation
#                dir: '%kernel.project_dir%/src/Entity'
#                prefix: 'App\Entity'
#                alias: App
        default_entity_manager: default
        entity_managers:
          default:
            dql:
                datetime_functions:
                    date_format: DoctrineExtensions\Query\Mysql\DateFormat
            connection: default
            naming_strategy: doctrine.orm.naming_strategy.underscore
            mappings:
              FOSUserBundle: ~
              App:
                  is_bundle: false
                  type: annotation
                  dir: '%kernel.project_dir%/src/Entity'
                  prefix: 'App\Entity'
                  alias: App
          em_forwarding:
            connection: connection_url_forwarding
            mappings:
          em_mailboxeswp:
            connection: connection_url_mailboxeswp
            mappings:
          em_boxblog:
            connection: connection_url_boxblog
            mappings:
